NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ShipDesign::Cutout2Builder Class Reference

Represents a NXOpen::Features::ShipDesign::Cutout2 builder
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateCutout2Builder
Default values. More...

Inheritance diagram for NXOpen::Features::ShipDesign::Cutout2Builder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CreationMethod {
  CreationMethodFace2Lines, CreationMethodSpecifyCSYS, CreationMethodFaces2Surfaces, CreationMethodFacesBetweenSurfacesSurface,
  CreationMethodFacesCentered, CreationMethodCustomShape
}
 available methods used to place a cutout object More...
 

Public Member Functions

NXOpen::ExpressionAngularDimension ()
 Returns the angular dimension (used only for Face2Lines, Faces2Surfaces, FacesBetweenSurfacesSurface, FacesCentered)
Created in NX8.0.0. More...
 
NXOpen::CoordinateSystemCoordSystem ()
 Returns the coord system (only used for: SpecifyCSYS)
Created in NX8.0.0. More...
 
NXOpen::SectionCustomShape ()
 Returns the section of curves defining the custom shape cut
Created in NX12.0.0. More...
 
NXOpen::DirectionHorizontalReference ()
 Returns the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)
Created in NX8.5.0. More...
 
NXOpen::ExpressionLinearOffset1 ()
 Returns the linear offset1 (replaced by ReferenceOffset1 in NX8.5)
Created in NX8.0.0. More...
 
NXOpen::ExpressionLinearOffset2 ()
 Returns the linear offset2 (replaced by ReferenceOffset2 in NX8.5)
Created in NX8.0.0. More...
 
NXOpen::Features::ShipDesign::ManufacturingStockBuilderManufacturingInformation ()
 Returns the manufacturing stock builder that holds the manufacturing data. More...
 
NXOpen::Features::ShipDesign::Cutout2Builder::CreationMethod PlacementType ()
 Returns the placement type
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::ProjectionOptionsProjectionDirection ()
 Returns the direction used to project the custom shape curves
Created in NX12.0.0. More...
 
NXOpen::ExpressionReferenceOffset1 ()
 Returns the reference offset1 (used only for Face2Lines, and Faces2Surfaces )
Created in NX8.0.0. More...
 
NXOpen::ExpressionReferenceOffset2 ()
 Returns the reference offset2 (used only for Face2Lines, and Faces2Surfaces)
Created in NX8.0.0. More...
 
NXOpen::ExpressionReferenceOffset3 ()
 Returns the reference offset3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0. More...
 
bool ReverseDirection1 ()
 Returns the reverse direction1 (used only for Face2Lines, and Faces2Surfaces )
Created in NX8.0.0. More...
 
bool ReverseDirection2 ()
 Returns the reverse direction2 (used only for Face2Lines, and Faces2Surfaces)
Created in NX8.0.0. More...
 
bool ReverseDirection3 ()
 Returns the reverse direction3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectSelectCSYSFace ()
 Returns the select csysface (only used for: SpecifyCSYS)
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectSelectLine1 ()
 Returns the select line1 (replaced by SelectReference1 in NX8.5)
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectSelectLine2 ()
 Returns the select line2 (replaced by SelectReference2 in NX8.5)
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectSelectReference1 ()
 Returns the reference1 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface)
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectSelectReference2 ()
 Returns the reference2 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface)
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectSelectReference3 ()
 Returns the reference3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0. More...
 
NXOpen::SelectNXObjectSelectTargetFace ()
 Returns the select target face
Created in NX8.0.0. More...
 
NXOpen::SelectNXObjectListSelectTargetFaces ()
 Returns the target faces (used only for: Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)
Created in NX8.5.0. More...
 
void SetCoordSystem (NXOpen::CoordinateSystem *coordSystem)
 Sets the coord system (only used for: SpecifyCSYS)
Created in NX8.0.0. More...
 
void SetHorizontalReference (NXOpen::Direction *horizontalReference)
 Sets the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)
Created in NX8.5.0. More...
 
void SetPlacementType (NXOpen::Features::ShipDesign::Cutout2Builder::CreationMethod placementType)
 Sets the placement type
Created in NX8.0.0. More...
 
void SetReverseDirection1 (bool reverseDirection1)
 Sets the reverse direction1 (used only for Face2Lines, and Faces2Surfaces )
Created in NX8.0.0. More...
 
void SetReverseDirection2 (bool reverseDirection2)
 Sets the reverse direction2 (used only for Face2Lines, and Faces2Surfaces)
Created in NX8.0.0. More...
 
void SetReverseDirection3 (bool reverseDirection3)
 Sets the reverse direction3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0. More...
 
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilderSketchBlock ()
 Returns the sketch block. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::Cutout2 builder
To create a new instance of this class, use NXOpen::Features::ShipCollection::CreateCutout2Builder
Default values.

Property Value

AngularDimension.Value

0

PlacementType

Face2Lines

ReferenceOffset1.Value

0 (millimeters part), 0 (inches part)

ReferenceOffset2.Value

0 (millimeters part), 0 (inches part)

ReferenceOffset3.Value

0 (millimeters part), 0 (inches part)


Created in NX8.0.0.

Member Enumeration Documentation

available methods used to place a cutout object

Enumerator
CreationMethodFace2Lines 

1 face and 2 lines, edges, or datums are used to place this cutout

CreationMethodSpecifyCSYS 

a csys is used to place this cutout

CreationMethodFaces2Surfaces 

1 face and 2 surfaces are used to place this cutout

CreationMethodFacesBetweenSurfacesSurface 

1 face and 3 surfaces are used to place this cutout

CreationMethodFacesCentered 

1 face is used to place this cutout

CreationMethodCustomShape 

Custom curves are extruded to define the cut shape.

Member Function Documentation

NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::AngularDimension ( )

Returns the angular dimension (used only for Face2Lines, Faces2Surfaces, FacesBetweenSurfacesSurface, FacesCentered)
Created in NX8.0.0.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::Cutout2Builder::CoordSystem ( )

Returns the coord system (only used for: SpecifyCSYS)
Created in NX8.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::ShipDesign::Cutout2Builder::CustomShape ( )

Returns the section of curves defining the custom shape cut
Created in NX12.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::ShipDesign::Cutout2Builder::HorizontalReference ( )

Returns the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::LinearOffset1 ( )

Returns the linear offset1 (replaced by ReferenceOffset1 in NX8.5)
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::LinearOffset2 ( )

Returns the linear offset2 (replaced by ReferenceOffset2 in NX8.5)
Created in NX8.0.0.



License requirements : None

NXOpen::Features::ShipDesign::ManufacturingStockBuilder* NXOpen::Features::ShipDesign::Cutout2Builder::ManufacturingInformation ( )

Returns the manufacturing stock builder that holds the manufacturing data.


Created in NX8.5.1.

License requirements : None

NXOpen::Features::ShipDesign::Cutout2Builder::CreationMethod NXOpen::Features::ShipDesign::Cutout2Builder::PlacementType ( )

Returns the placement type
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::ProjectionOptions* NXOpen::Features::ShipDesign::Cutout2Builder::ProjectionDirection ( )

Returns the direction used to project the custom shape curves
Created in NX12.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::ReferenceOffset1 ( )

Returns the reference offset1 (used only for Face2Lines, and Faces2Surfaces )
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::ReferenceOffset2 ( )

Returns the reference offset2 (used only for Face2Lines, and Faces2Surfaces)
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::Cutout2Builder::ReferenceOffset3 ( )

Returns the reference offset3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::Cutout2Builder::ReverseDirection1 ( )

Returns the reverse direction1 (used only for Face2Lines, and Faces2Surfaces )
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::ShipDesign::Cutout2Builder::ReverseDirection2 ( )

Returns the reverse direction2 (used only for Face2Lines, and Faces2Surfaces)
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::ShipDesign::Cutout2Builder::ReverseDirection3 ( )

Returns the reverse direction3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectCSYSFace ( )

Returns the select csysface (only used for: SpecifyCSYS)
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectLine1 ( )

Returns the select line1 (replaced by SelectReference1 in NX8.5)
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectLine2 ( )

Returns the select line2 (replaced by SelectReference2 in NX8.5)
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectReference1 ( )

Returns the reference1 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface)
Created in NX8.5.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectReference2 ( )

Returns the reference2 (used only for Face2Lines, Faces2Surfaces, and FacesBetweenSurfacesSurface)
Created in NX8.5.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectReference3 ( )

Returns the reference3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::ShipDesign::Cutout2Builder::SelectTargetFace ( )

Returns the select target face
Created in NX8.0.0.



License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::Cutout2Builder::SelectTargetFaces ( )

Returns the target faces (used only for: Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::ShipDesign::Cutout2Builder::SetCoordSystem ( NXOpen::CoordinateSystem coordSystem)

Sets the coord system (only used for: SpecifyCSYS)
Created in NX8.0.0.



License requirements : nx_ship_detail ("Ship Detail Design")

Parameters
coordSystemcoordsystem
void NXOpen::Features::ShipDesign::Cutout2Builder::SetHorizontalReference ( NXOpen::Direction horizontalReference)

Sets the horizontal reference (optional, used only for Faces2Surfaces, FacesBetweenSurfacesSurface, and FacesCentered)
Created in NX8.5.0.



License requirements : nx_ship_detail ("Ship Detail Design")

Parameters
horizontalReferencehorizontalreference
void NXOpen::Features::ShipDesign::Cutout2Builder::SetPlacementType ( NXOpen::Features::ShipDesign::Cutout2Builder::CreationMethod  placementType)

Sets the placement type
Created in NX8.0.0.



License requirements : nx_ship_detail ("Ship Detail Design")

Parameters
placementTypeplacementtype
void NXOpen::Features::ShipDesign::Cutout2Builder::SetReverseDirection1 ( bool  reverseDirection1)

Sets the reverse direction1 (used only for Face2Lines, and Faces2Surfaces )
Created in NX8.0.0.



License requirements : nx_ship_detail ("Ship Detail Design")

Parameters
reverseDirection1reversedirection1
void NXOpen::Features::ShipDesign::Cutout2Builder::SetReverseDirection2 ( bool  reverseDirection2)

Sets the reverse direction2 (used only for Face2Lines, and Faces2Surfaces)
Created in NX8.0.0.



License requirements : nx_ship_detail ("Ship Detail Design")

Parameters
reverseDirection2reversedirection2
void NXOpen::Features::ShipDesign::Cutout2Builder::SetReverseDirection3 ( bool  reverseDirection3)

Sets the reverse direction3 (used only for FacesBetweenSurfacesSurface)
Created in NX8.5.0.



License requirements : nx_ship_detail ("Ship Detail Design")

Parameters
reverseDirection3reversedirection3
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::Cutout2Builder::SketchBlock ( )

Returns the sketch block.


Users can specify the Cutout using a single sketch. The sketch type and its parameters are controlled by the NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder .


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.